Skip to main content
POST
Apply Discount Or Premo Credit To Next Invoice

Endpoint Overview

POST https://api.unibee.dev/merchant/subscription/apply_subscription_next_invoice Apply Discount Or Premo Credit To Next Invoice

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
applyPromoCreditAmount
integer<int64>

apply promo credit amount

discountCode
string<string>

DiscountCode

externalUserId
string<string>

ExternalUserId, unique, either ExternalUserId&Email or UserId needed if subscriptionId not specified

productId
integer<int64>

default product will use if productId not specified and subscriptionId is blank

subscriptionId
string<string>

SubscriptionId

userId
integer<int64>

UserId

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>